# Weather Radar [![Build Status](https://travis-ci.com/dh4/WeatherRadar.svg?branch=master)](https://travis-ci.com/dh4/WeatherRadar)

<p align="center"><img src="https://raw.githubusercontent.com/dh4/WeatherRadar/master/resources/icon_128.png" alt="Weather Radar" /></p>

Weather Radar is an open-source application featuring doppler radar images from the United States National Weather Service.

The images are single images based on location rather than tiled images that can be panned like most other applications of this type. This allows faster loading when connection speeds are sub-optimal. You can save your favorite views for easy reference.

National Weather Service radar imagery is available for the United States and its territories.

__NOTE:__ This application used to support radar images from Weather Underground. Unfortunately they decided to terminate their API in favor of overpriced "Weather Data Packages" from weather.com after being bought out by IBM. Support for Weather Underground images has been removed with version 1.1 now that they no longer work.

## Downloading

<p><a href="https://f-droid.org/en/packages/com.danhasting.radar/"><img src="https://raw.githubusercontent.com/dh4/WeatherRadar/master/resources/fdroid.png" alt="Get it on F-Droid" /></a> <a href="https://play.google.com/store/apps/details?id=com.danhasting.radar"><img src="https://raw.githubusercontent.com/dh4/WeatherRadar/master/resources/googleplay.png" alt="Get it on Google Play" /></a></p>

APKs are also available on the [releases](https://github.com/dh4/WeatherRadar/releases) page.

## Screenshots

<p align="center">
<img src="https://raw.githubusercontent.com/dh4/WeatherRadar/master/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" alt="Screen Shot" width="250" />
<img src="https://raw.githubusercontent.com/dh4/WeatherRadar/master/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" alt="Screen Shot" width="250" />
<img src="https://raw.githubusercontent.com/dh4/WeatherRadar/master/fastlane/metadata/android/en-US/images/phoneScreenshots/3.png" alt="Screen Shot" width="250" />
</p>

## Support

If you find it useful, please consider supporting my work here:
https://dh4.github.io/donate/

## Development Builds

An automatic debug build of the latest git commit can be found here. This can be installed alongside the release version:
https://s3.amazonaws.com/dh4/weather_radar/master/com.danhasting.radar.devel.apk

## Privacy

Weather Radar does not collect user data of any kind.
